#pragma once

#include <maps/wikimap/mapspro/services/mrc/libs/sensors_feature_positioner/include/types.h>

namespace maps::mrc::sensors_feature_positioner {

class IdGenerator {
public:
    IdGenerator() : nextId(0) {}
    size_t newId() {
        return nextId++;
    }
private:
    size_t nextId;
};

double metersBetweenCameras(const Ray& ray1, const Ray& ray2);

} // namespace maps::mrc::sensors_feature_positioner
